| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Enumerations
Alarm.cpp File Reference
`#include "command_classes/CommandClasses.h"`
`#include "command_classes/Alarm.h"`
`#include "command_classes/NodeNaming.h"`
`#include "command_classes/UserCode.h"`
`#include "Defs.h"`
`#include "Msg.h"`
`#include "Node.h"`
`#include "Driver.h"`
`#include "NotificationCCTypes.h"`
`#include "platform/Log.h"`
`#include "value_classes/ValueByte.h"`
`#include "value_classes/ValueBool.h"`
`#include "value_classes/ValueList.h"`
`#include "value_classes/ValueString.h"`
`#include "value_classes/ValueInt.h"`

## Enumerations
enum | AlarmCmd { AlarmCmd_Get = 0x04 , AlarmCmd_Report = 0x05 , AlarmCmd_Set = 0x06 , AlarmCmd_SupportedGet = 0x07 , AlarmCmd_SupportedReport = 0x08 , AlarmCmd_Event_Supported_Get = 0x01 , AlarmCmd_Event_Supported_Report = 0x02 }
enum | { AlarmIndex_Type_Start = 0 , AlarmIndex_Type_End = 255 , AlarmIndex_Type_ParamStart = 256 , AlarmIndex_Type_ParamEnd = 511 , AlarmIndex_Type = 512 , AlarmIndex_Level , AlarmIndex_AutoClearEvents }

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
AlarmIndex_Type_Start |
AlarmIndex_Type_End |
AlarmIndex_Type_ParamStart |
AlarmIndex_Type_ParamEnd |
AlarmIndex_Type |
AlarmIndex_Level |
AlarmIndex_AutoClearEvents |

## ◆ AlarmCmd

enum AlarmCmd

Enumerator
AlarmCmd_Get |
AlarmCmd_Report |
AlarmCmd_Set |
AlarmCmd_SupportedGet |
AlarmCmd_SupportedReport |
AlarmCmd_Event_Supported_Get |
AlarmCmd_Event_Supported_Report |